Uploaded image for project: 'Avro'
  1. Avro
  2. AVRO-1804

Snappy support in ruby library is incorrect

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 1.8.0
    • Fix Version/s: None
    • Component/s: ruby
    • Labels:
      None

      Description

      The snappy codec in the ruby library neither writes nor reads and validates a CRC32 checksum of the uncompressed data.

      The ruby library cannot read snappy compressed files written by other libraries.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              robert.clancy Robert Clancy
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: